SonarRunnerRootExtension (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.sonar.runner

## [Java] Class SonarRunnerRootExtension

- org.gradle.sonar.runner.SonarRunnerRootExtension

- Specialization of SonarRunnerExtension that is used for the root of the project tree being analyzed.

  This extension provides extra configuration options that are only applicable to the analysis as a whole, and therefore is used for the project (typically the root) that the plugin is applied too.

  Example usage:

       sonarRunner {
         toolVersion = '2.3' // default

         forkOptions {
           maxHeapSize = '1024m'
           jvmArgs '-XX:MaxPermSize=128m'
         }
       }

  deprecated:
    The 'sonar-runner' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_SONAR_RUNNER_VERSION` | The version of Sonar Runner used if another version was not specified with setToolVersion(String).

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SonarRunnerExtension` | `SONAR_RUNNER_CONFIGURATION_NAME, SONAR_RUNNER_EXTENSION_NAME, SONAR_RUNNER_TASK_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SonarRunnerRootExtension (org.gradle.listener.ActionBroadcast<SonarProperties> propertiesActions)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `forkOptions(Action<? super JavaForkOptions> action)` Configure the forkOptions.
    `JavaForkOptions` | `getForkOptions()` Options for the Sonar Runner process.
    `String` | `getToolVersion()` Version of Sonar Runner JARs to use.
    `void` | `setForkOptions(JavaForkOptions forkOptions)`
    `void` | `setToolVersion(String toolVersion)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SonarRunnerExtension` | `isSkipProject, setSkipProject, sonarProperties`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String DEFAULT_SONAR_RUNNER_VERSION

      The version of Sonar Runner used if another version was not specified with setToolVersion(String).

      Value: {@value}

  - ### Constructor Detail

    - #### public SonarRunnerRootExtension(org.gradle.listener.ActionBroadcast<SonarProperties> propertiesActions)

  - ### Method Detail

    - #### public void forkOptions(Action<? super JavaForkOptions> action)

      Configure the forkOptions.

      Parameters:
        `action` - the action to use to configure forkOptions

    - #### public JavaForkOptions getForkOptions()

      Options for the Sonar Runner process.

    - #### public String getToolVersion()

      Version of Sonar Runner JARs to use.

      Defaults to `2.3`.

    - #### public void setForkOptions(JavaForkOptions forkOptions)

    - #### public void setToolVersion(String toolVersion)